File: contextmenu.css

package info (click to toggle)
firefox 148.0.2-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 4,719,544 kB
  • sloc: cpp: 7,618,291; javascript: 6,701,749; ansic: 3,781,787; python: 1,418,389; xml: 638,647; asm: 438,962; java: 186,285; sh: 62,894; makefile: 19,011; objc: 13,092; perl: 12,763; yacc: 4,583; cs: 3,846; pascal: 3,448; lex: 1,720; ruby: 1,003; php: 436; lisp: 258; awk: 247; sql: 66; sed: 54; csh: 10; exp: 6
file content (63 lines) | stat: -rw-r--r-- 1,417 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

@namespace html url("http://www.w3.org/1999/xhtml");

/* Combined context-menu items */

#context-navigation > .menuitem-iconic {
  flex: 1;
  justify-content: center;
  align-items: center;
  margin: 0;
  padding: 0;

  > .menu-text {
    display: none;
  }

  > .menu-icon {
    width: auto;
    height: auto;
    padding: 7px;
    margin: 0;
    -moz-context-properties: fill;
    fill: currentColor;
  }
}

#context-back {
  --menuitem-icon: url("chrome://browser/skin/back.svg");
}

#context-forward {
  --menuitem-icon: url("chrome://browser/skin/forward.svg");
}

#context-reload {
  --menuitem-icon: url("chrome://global/skin/icons/reload.svg");
}

#context-stop {
  --menuitem-icon: url("chrome://global/skin/icons/close.svg");
}

#context-bookmarkpage {
  --menuitem-icon: url("chrome://browser/skin/bookmark-hollow.svg");
  &[starred] {
    --menuitem-icon: url("chrome://browser/skin/bookmark.svg");
  }
}

#context-back:-moz-locale-dir(rtl),
#context-forward:-moz-locale-dir(rtl),
#context-reload:-moz-locale-dir(rtl) {
  transform: scaleX(-1);
}

#context-media-eme-learnmore {
  --menuitem-icon: url("chrome://browser/skin/drm-icon.svg");
  -moz-context-properties: fill;
  fill: currentColor;
}